Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations IDS on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

Need help with getting coordinates of reference point, python

Status
Not open for further replies.

MichiSu

Materials
Dec 16, 2013
5
Hello,

I Need help to get the coordinates of a reference Point for a special situation in abaqus. I am working on a Simulation in order to research the springback angle of metal after bending. For this purpose i need the travelling distance of the bending Punch in dependency of the bending angle.

I tried to solve the Problem with a reference Point, which is defined in the sketch geometry with a 3D wire. The y-value of the reference Point is the travelling distance, i want implement in the python script to calculate the time step (the Speed of the bending Punch is variable).

A short extract from the script (the ID of the referen ce Point is 4):

#####sketch with only on vertice for the wire######
Pos3D_sketch = Simu_3D.ConstrainedSketch(name='Wire_distance', sheetSize=200.0)
Pos3D_sketch.sketchOptions.setValues(gridOrigin=(0, 0))
Pos3D_sketch.retrieveSketch(sketch=Simu_3D.sketches['Positionierung'])
Pos3D_part = Simu_3D.Part(dimensionality=THREE_D, name='Wire_distance', type=DISCRETE_RIGID_SURFACE)
Pos3D_part.BaseWire(sketch=Simu_3D.sketches['Wire_distance'])
del Pos3D_sketch

######instance and reference point
Simu_3D.rootAssembly.DatumCsysByDefault(CARTESIAN)
Pos_3D_ins = Simu_3D.rootAssembly.Instance(dependent=ON, name='Wire_distance-1', part=Pos3D_part)
RP_dis = Simu_3D.rootAssembly.ReferencePoint(point=Simu_3D.rootAssembly.instances['Wire_distance-1'].
InterestingPoint(Pos_3D_ins.edges.findAt((-13.5, -0.816148, 0.0), ), MIDDLE))

#####ID of reference point
RP_dis_ID = RP_dis.id
RP_dis_ID_str = str(RP_dis_ID)

#####different ways i tried to obtain the values (x,y,z)
test1 = Simu_3D.rootAssembly.referencePoints.values('RP-4')
test2 = Simu_3D.rootAssembly.features.keys('RP-4')
test3 = Simu_3D.rootAssembly.referencePoints.keys()[0]
test4 = Simu_3D.rootAssembly.referencePoints[RP_dis_ID]
test5 = Simu_3D.rootAssembly.referencePoints.getCoordinates('RP-4')

####the last try (test5) results in a error warning
RPrepository doesnt have the Attribute getCoordinates

I looking Forward to someybody who can help me to find a solution. If more Information is required, i can describe the script in more Detail.

Thanks a lot

Michi
 
Replies continue below

Recommended for you

Can't you request a field output U from a set which only contains the reference point?
Not sure if i understood correctly... You just want post-processing?
 
I need the coordinates for the pre-processing. With the aid of the coordinates i define the travel distance of the bending punch (y-coordinate).
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor